javax.security.auth.message.callback

## Class SecretKeyCallback.AliasRequest

- java.lang.Object
- - javax.security.auth.message.callback.SecretKeyCallback.AliasRequest

- All Implemented Interfaces:
    SecretKeyCallback.Request
  Enclosing class:
    SecretKeyCallback

      public static class SecretKeyCallback.AliasRequest
      extends java.lang.Object
      implements SecretKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretKeyCallback.AliasRequest(java.lang.String alias)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretKeyCallback.AliasRequest

          public SecretKeyCallback.AliasRequest(java.lang.String alias)

  - ### Method Detail

    - #### getAlias

          public java.lang.String getAlias()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.